import https from '@/plugins/luch-request_0.0.7/request'
/** *
 * 门店列表
 */
export const getList = data => {
	return https.get('/shop/list', data)
}

/** *
 * 修改门店
 */
export const updateShop = data => {
	return https.post('/shop/update', data)
}

/** *
 * 添加门店
 */
export const addShop = data => {
	return https.post('/shop/add', data)
}

/** *
 * 删除门店
 */
export const delShop = data => {
	return https.get('/shop/delete', data)
}

/** *
 * 下载收款码
 */
export const downQrCode = data => {
	return https.get('/shop/download-gathering-code', data, {}, { hideError: true })
}

/** *
 * 下载注册会员码
 */
export const downMemberCode = data => {
	return https.get('/shop/download-apply-member-code', data, {}, { hideError: true })
}

//当前登陆的门店信息 shish 2021.3,27
export const currentShop = data => {
	return https.get('/shop/current-shop', data)
}